#include "Types.r"

resource 'MENU' (128, preload) {
	128,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About", noIcon, noKey, noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (129, preload) {
	129,
	textMenuProc,
	0xE00,
	enabled,
	"File",
	{	/* array: 10 elements */
		/* [1] */
		"New", noIcon, "N", noMark, plain,
		/* [2] */
		"Open", noIcon, "O", noMark, plain,
		/* [3] */
		"Close", noIcon, "W", noMark, plain,
		/* [4] */
		"Save", noIcon, "S", noMark, plain,
		/* [5] */
		"Save As...", noIcon, noKey, noMark, plain,
		/* [6] */
		"-", noIcon, noKey, noMark, plain,
		/* [7] */
		"Page Setup...", noIcon, noKey, noMark, plain,
		/* [8] */
		"Print...", noIcon, "P", noMark, plain,
		/* [9] */
		"-", noIcon, noKey, noMark, plain,
		/* [10] */
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'MENU' (130, preload) {
	130,
	textMenuProc,
	0x3400,
	enabled,
	"Edit",
	{	/* array: 6 elements */
		/* [1] */
		"Undo", noIcon, "Z", noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain,
		/* [3] */
		"Cut", noIcon, "X", noMark, plain,
		/* [4] */
		"Copy", noIcon, "C", noMark, plain,
		/* [5] */
		"Paste", noIcon, "V", noMark, plain,
		/* [6] */
		"Clear", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (131) {
	131,
	textMenuProc,
	0x7FFFFFD7,
	enabled,
	"Test Stuff",
	{	/* array: 1 elements */
		/* [1] */
		"Show Date Dialog", noIcon, "D", noMark, plain
	}
};

resource 'DITL' (128, purgeable) {
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{164, 115, 184, 185},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{5, 10, 59, 293},
		StaticText {
			disabled,
			"The Simplest Shell\n\nModified to show the"
			" DateThing"
		},
		/* [3] */
		{76, 3, 154, 301},
		StaticText {
			disabled,
			"FredWare from Apple Developer Technical "
			"Support, ADS group.\nCopyright   1991-19"
			"93 Apple Computer Inc.\nWritten by C.K. H"
			"aun (<TR>)."
		},
		/* [4] */
		{60, 80, 78, 225},
		StaticText {
			disabled,
			"version 1.0"
		}
	}
};

resource 'DITL' (129, purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{170, 90, 190, 148},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 40, 62, 204},
		StaticText {
			disabled,
			"Help information should go here"
		}
	}
};

resource 'DITL' (130, purgeable) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{80, 100, 100, 158},
		Button {
			enabled,
			"Exit"
		},
		/* [2] */
		{10, 80, 27, 237},
		StaticText {
			disabled,
			"Bad System Version!"
		},
		/* [3] */
		{50, 25, 66, 232},
		StaticText {
			disabled,
			"Requires System 7 or greater."
		}
	}
};

resource 'DITL' (131, purgeable) {
	{	/* array DITLarray: 5 elements */
		/* [1] */
		{100, 210, 120, 268},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{100, 120, 120, 178},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{40, 23, 74, 278},
		UserItem {
			disabled
		},
		/* [4] */
		{90, 200, 128, 282},
		UserItem {
			disabled
		},
		/* [5] */
		{10, 71, 29, 230},
		StaticText {
			disabled,
			"Select a range of dates"
		}
	}
};

data 'ALRT' (128, purgeable) {
	$"0028 0028 00E5 016B 0080 7744"                      /* .(.(...k.wD */
};

data 'ALRT' (130, purgeable) {
	$"0028 0028 0095 0128 0082 5555"                      /* .(.(..(.UU */
};

data 'DLOG' (129, "Sample Help Dialog", purgeable) {
	$"0022 0028 00EA 0118 0001 0100 0100 0000"            /* .".(............ */
	$"0000 0081 00"                                       /* .... */
};

resource 'DLOG' (130, purgeable) {
	{40, 40, 177, 341},
	dBoxProc,
	invisible,
	goAway,
	0x0,
	131,
	"",
	centerMainScreen
};

resource 'STR#' (128, purgeable) {
	{	/* array StringArray: 7 elements */
		/* [1] */
		" ",
		/* [2] */
		" ",
		/* [3] */
		" ",
		/* [4] */
		" ",
		/* [5] */
		" Data Aquisition Duration: ",
		/* [6] */
		" to ",
		/* [7] */
		"DaD start must be larger than DaD end!!!"
		"!!"
	}
};

resource 'MBAR' (128) {
	{	/* array MenuArray: 4 elements */
		/* [1] */
		128,
		/* [2] */
		129,
		/* [3] */
		130,
		/* [4] */
		131
	}
};

data 'WIND' (128, purgeable) {
	$"0028 0028 0136 023C 0000 0100 0000 0000"            /* .(.(.6.<........ */
	$"0000 0653 696D 706C 65"                             /* ...Simple */
};

resource 'SIZE' (-1) {
	reserved,
	acceptSuspendResumeEvents,
	reserved,
	canBackground,
	multiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	localAndRemoteHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	70000,
	70000
};

resource 'STR ' (128) {
	"Simple Help..."
};

